> ## Documentation Index
> Fetch the complete documentation index at: https://developers.nlpearl.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Set Activity State

> Run or Pause a specific inbound



## OpenAPI

````yaml post /v1/Inbound/{inboundId}/Active
openapi: 3.0.1
info:
  title: NLPearl Client API
  description: A sample API that demonstrates features in the OpenAPI specification
  version: v1
servers:
  - url: https://api.nlpearl.ai
    description: Production Environement
security:
  - bearer_auth: []
paths:
  /v1/Inbound/{inboundId}/Active:
    post:
      tags:
        - Inbound
      summary: Set Activity State
      description: Run or Pause a specific inbound
      parameters:
        - name: inboundId
          in: path
          description: The unique identifier of the inbound.
          required: true
          schema:
            type: string
      requestBody:
        description: The request containing the desired active state.
        content:
          application/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/SetActiveRequest'
              description: >-
                Defines the request structure for setting the active status of
                an entity.
          text/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/SetActiveRequest'
              description: >-
                Defines the request structure for setting the active status of
                an entity.
          application/*+json:
            schema:
              allOf:
                - $ref: '#/components/schemas/SetActiveRequest'
              description: >-
                Defines the request structure for setting the active status of
                an entity.
      responses:
        '200':
          description: The active state of the inbound.
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/eActivityStatus'
            application/json:
              schema:
                $ref: '#/components/schemas/eActivityStatus'
            text/json:
              schema:
                $ref: '#/components/schemas/eActivityStatus'
        '400':
          description: Error
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
components:
  schemas:
    SetActiveRequest:
      required:
        - isActive
      type: object
      properties:
        isActive:
          type: boolean
          description: |-
            A boolean value that specifies the new active status of the entity.

            True activates the entity, while false deactivates it.
      additionalProperties: false
      description: >-
        Defines the request structure for setting the active status of an
        entity.
    eActivityStatus:
      type: integer
      description: |+
        Here is the activity status

        `1 - Running`

        `2 - Paused`

        `3 - Suspended`

        `10 - TemporaryMaintenance`

      format: int32
    ValidationProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          nullable: true
      additionalProperties: {}
  securitySchemes:
    bearer_auth:
      type: http
      description: >-
        Specify the authorization token.


        For more information, check out the [Authorization
        Guide](/api-reference/authorization).
      scheme: bearer

````